MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024519Community[OCCT] OCCT:Modeling Algorithmspublic2014-01-09 10:382014-11-12 09:51
ReporterHayashi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024519: Intersection of a cylinder and a plane does not return
DescriptionThe result of BRepAlgoAPI_Section is NG.
The result of BRepAlgo_Section is OK.
Steps To ReproduceDraw[1]> pload ALL
1
Draw[2]> restore cylinder.brep cy
cy
Draw[3]> restore plane.brep pl
pl
Draw[4]> bsection r1 cy pl
Draw[5]> section r2 cy pl
Draw[6]> explode r1
Draw[7]> explode r2
r2_1
Draw[8]>
TagsNo tags attached.
Test case numberbugs modalg_5 bug24519
Attached Fileszip file icon faces.zip (33,444 bytes) 2014-01-09 10:38

- Relationships

-  Notes
(0033049)
Hayashi (reporter)
2014-10-14 06:56

Intersection is returned on OCCT 6.8.0 beta.
(0033050)
abv (manager)
2014-10-14 07:48

Please add a test case
(0033936)
git (administrator)
2014-10-31 13:34

Branch CR24519 has been created by apn.

SHA-1: 57cf170a54b6f0b4f0185716c7c830dadca9519c


Detailed log of new commits:

Author: apn
Date: Fri Oct 31 13:34:03 2014 +0300

    0024519: Intersection of a cylinder and a plane does not return
    
    Added test case bugs/modalg_5/bug24519
(0033937)
apn (administrator)
2014-10-31 13:35

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR24519 was created. It contains test case:
bugs modalg_5 bug24519 - OK
(0034288)
git (administrator)
2014-11-12 09:51

Branch CR24519 has been deleted by inv.

SHA-1: 57cf170a54b6f0b4f0185716c7c830dadca9519c

- Related Changesets
occt: master 3edc7eea
Timestamp: 2014-10-31 10:34:03
Author: apn
Committer: bugmaster
Details ] Diff ]
0024519: Intersection of a cylinder and a plane does not return

Added test case bugs/modalg_5/bug24519
add - tests/bugs/modalg_5/bug24519 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-09 10:38 Hayashi New Issue
2014-01-09 10:38 Hayashi Assigned To => ifv
2014-01-09 10:38 Hayashi File Added: faces.zip
2014-10-14 06:56 Hayashi Note Added: 0033049
2014-10-14 07:48 abv Note Added: 0033050
2014-10-14 07:48 abv Assigned To ifv => bugmaster
2014-10-14 07:48 abv Status new => feedback
2014-10-14 07:48 abv Target Version => 6.8.0
2014-10-15 11:01 bugmaster Assigned To bugmaster => mkv
2014-10-20 12:02 bugmaster Assigned To mkv => apn
2014-10-31 13:34 git Note Added: 0033936
2014-10-31 13:35 apn Note Added: 0033937
2014-10-31 13:35 apn Test case number => bugs modalg_5 bug24519
2014-10-31 13:35 apn Assigned To apn => bugmaster
2014-10-31 13:35 apn Status feedback => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master 3edc7eea
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:51 git Note Added: 0034288


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker